Package com.destroystokyo.paper.event.entity

# Class EntityZapEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityTransformEvent
com.destroystokyo.paper.event.entity.EntityZapEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `PigZapEvent`

public class EntityZapEvent extends EntityTransformEvent implements Cancellable
Fired when lightning strikes an entity

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.entity.EntityTransformEvent

`EntityTransformEvent.TransformReason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityZapEvent(@NotNull Entity entity, @NotNull LightningStrike bolt, @NotNull Entity replacementEntity)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull LightningStrike`
`getBolt()`
Gets the lightning bolt that is striking the entity.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Entity`
`getReplacementEntity()`
Gets the entity that will replace the struck entity.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityTransformEvent

`getTransformedEntities, getTransformedEntity, getTransformReason`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityZapEvent

public EntityZapEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull LightningStrike bolt, @NotNull @NotNull Entity replacementEntity)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Overrides:
  `isCancelled` in class `EntityTransformEvent`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Overrides:
  `setCancelled` in class `EntityTransformEvent`
Parameters:
  `cancel` - true if you wish to cancel this event

### getBolt

@NotNull public @NotNull LightningStrike getBolt()
Gets the lightning bolt that is striking the entity.

Returns:
  The lightning bolt responsible for this event

### getReplacementEntity

@NotNull public @NotNull Entity getReplacementEntity()
Gets the entity that will replace the struck entity.

Returns:
  The entity that will replace the struck entity

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `EntityTransformEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()